Bug 1667070 (CVE-2019-3816)

Summary: CVE-2019-3816 openwsman: Disclosure of arbitrary files outside of the registered URIs
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: apmukher, bmcclain, cbuissar, dbecker, dblechte, dfediuck, eedri, hmatsumo, jjoyce, jschluet, kbasil, lhh, lpeer, mburns, mgoldboi, michal.skrivanek, praween.paladugu, rhos-maint, sbonazzo, sclewis, security-response-team, sherold, slinaber, srinivas_g_gowda, tatsu, tumeya, tvignaud, vcrhonek, yturgema
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Openwsman, versions up to and including 2.6.9, are vulnerable to arbitrary file disclosure because the working directory of openwsmand daemon was set to root directory. A remote, unauthenticated attacker can exploit this vulnerability by sending a specially crafted HTTP request to openwsman server.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:45:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1668657, 1668658, 1687760, 1687864, 1693972    
Bug Blocks: 1655750, 1667071    

Description Andrej Nemec 2019-01-17 11:22:40 UTC
It was found that openwsman can access various secret files without having the correct privileges set. A local attacker could use this for information disclosure.

Comment 7 Adam Mariš 2019-02-11 13:47:47 UTC
Acknowledgments:

Name: NEC Corporation

Comment 9 Adam Mariš 2019-02-25 13:08:34 UTC
Statement:

Red Hat OpenStack Platform currently only utilizes the client and python client API bindings, not the server components of openwsman. Additionally, updates for this package are received through the Red Hat Enterprise Linux repository.

Red Hat Enterprise Virtualization uses only the openwsman-python client API bindings, not the server components of openwsman.

This issue affects the versions of openwsman as shipped with Red Hat Enterprise Linux 6 and 7.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Important, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 11 Cedric Buissart 🐶 2019-03-12 10:30:23 UTC
Created openwsman tracking bugs for this issue:

Affects: fedora-all [bug 1687760]

Comment 15 Vitezslav Crhonek 2019-03-20 12:02:45 UTC
*** Bug 1663718 has been marked as a duplicate of this bug. ***

Comment 18 errata-xmlrpc 2019-03-26 05:36:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0638 https://access.redhat.com/errata/RHSA-2019:0638

Comment 19 Andrej Nemec 2019-03-27 10:28:25 UTC
References:

http://bugzilla.suse.com/show_bug.cgi?id=1122623

Comment 20 Fedora Update System 2019-03-29 02:58:22 UTC
openwsman-2.6.5-9.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-03-29 19:14:47 UTC
openwsman-2.6.8-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 errata-xmlrpc 2019-05-07 04:18:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0972 https://access.redhat.com/errata/RHSA-2019:0972